Bug 53701 (vs-561851) - [Xamarin-Studio]Accessibility:MAS07:OSX:Keyboard:Unable to Switch between 'Pads and Documents' .
Summary: [Xamarin-Studio]Accessibility:MAS07:OSX:Keyboard:Unable to Switch between 'Pa...
Status: RESOLVED FIXED
Alias: vs-561851
Product: Xamarin Studio
Classification: Desktop
Component: Shell (show other bugs)
Version: 6.3 (15.1)
Hardware: Macintosh Mac OS
: --- normal
Target Milestone: 15.7
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2017-03-22 06:49 UTC by Ramya Sri Narasinga
Modified: 2018-02-06 15:10 UTC (History)
2 users (show)

Tags: Accessibility,Wipro,A11yMAS,Xamarin-studio,MAS07,vs-sync
Is this bug a regression?: ---
Last known good build:


Attachments
Selector-keyboard trap. (627.98 KB, image/png)
2017-03-22 06:49 UTC, Ramya Sri Narasinga
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Ramya Sri Narasinga 2017-03-22 06:49:50 UTC
Created attachment 20557 [details]
Selector-keyboard trap.

Testing Environment:
OS Sierra.
Ver 10.12.3.
Xamarin Studio : 6.3(build 731).

Repro Steps:
1.Launch Xamarin Studio and open Solution Pad from View -> Pads.
2.Now Press "Control+Tab" to open Selector.
3.Close all the "Pads,Documents" oppned.
4.Hit "Control+Tab".(There should nothing Opened (Pads,Docs).
5.Observe keyboard focus.

Actual Behavior:
Not able to 'close' Selector using keyboard.

Expected Behavior:
Able To close Selector message using 'Escape Key' of Close buttons should be available to close .

User Impact:
This rule ensures that users can always navigate the user interface by manipulating the focus. Users with vision impairments often explore a new user interface by keyboard tabbing to each focusable control prior to more direct interaction. This provides the context sometimes needed to understand labels and instructions. Being stuck during this exploration can lead to confusion and productivity loss.
Comment 1 iain 2017-03-31 15:22:05 UTC
This seems more like a general bug than an accessibility one.